Bug 1031653 - python-swiftclient: SSL certificate verification security issue [fedora-all]
python-swiftclient: SSL certificate verification security issue [fedora-all]
Product: Fedora
Classification: Fedora
Component: python-swiftclient (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Ruzicka
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-6396
  Show dependency treegraph
Reported: 2013-11-18 08:18 EST by Ratul Gupta
Modified: 2014-03-21 05:34 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-swiftclient-2.0.2-1.fc20
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-21 05:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-18 08:18:56 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Ratul Gupta 2013-11-18 08:19:06 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
Comment 2 Jakub Ruzicka 2013-12-10 09:06:54 EST
After a discussion, we decided to fix this for 4.0 only because it's a significatnt change (might break for invalid certs where it previously worked) and only a moderate CVE.
Comment 3 Fedora Update System 2013-12-10 09:09:53 EST
python-swiftclient-1.8.0-1.fc20 has been submitted as an update for Fedora 20.
Comment 4 Fedora Update System 2013-12-10 10:55:53 EST
Package python-swiftclient-1.8.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-swiftclient-1.8.0-1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Pete Zaitcev 2014-02-11 11:35:17 EST
The python-swiftclient-1.8.0-1.fc20.noarch from updates-testing blows
up like this:

[zaitcev@guren python-swiftclient-fetch]$ swift (redacted) --insecure list
Traceback (most recent call last):
  File "/usr/bin/swift", line 1445, in <module>
    globals()['st_%s' % args[0]](parser, argv[1:], thread_manager)
  File "/usr/bin/swift", line 541, in st_list
    conn.get_account(marker=marker, prefix=options.prefix)[1]
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 1154, in get_account
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 1108, in _retry
    rv = func(self.url, self.token, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 376, in get_account
    conn.request(method, full_path, '', headers)
  File "/usr/lib/python2.7/site-packages/swiftclient/client.py", line 165, in request_escaped
    func(method, url, body=body, headers=headers or {})
  File "/usr/lib64/python2.7/httplib.py", line 973, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib64/python2.7/httplib.py", line 1007, in _send_request
  File "/usr/lib64/python2.7/httplib.py", line 969, in endheaders
  File "/usr/lib64/python2.7/httplib.py", line 829, in _send_output
  File "/usr/lib64/python2.7/httplib.py", line 805, in send
OpenSSL.SSL.SysCallError: (9, 'Bad file descriptor')
[zaitcev@guren python-swiftclient-fetch]$
Comment 8 Pete Zaitcev 2014-02-19 10:17:37 EST
I opened bug 1066683 for follow-up fix-up, leaving this bug alone.
Comment 9 Fedora Update System 2014-02-24 11:44:17 EST
python-swiftclient-2.0.2-1.fc20 has been submitted as an update for Fedora 20.
Comment 10 Fedora Update System 2014-03-21 05:34:05 EDT
python-swiftclient-2.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.